diff -r 9c346098e834 rpython/translator/test/test_exceptiontransform.py
--- a/rpython/translator/test/test_exceptiontransform.py	Tue Feb 05 18:38:53 2019 +0100
+++ b/rpython/translator/test/test_exceptiontransform.py	Wed Feb 06 12:07:13 2019 +0100
@@ -62,6 +62,22 @@ class TestExceptionTransform:
         f = self.compile(foo, [])
         assert f() == 1
 
+    def test_builtin(self):
+        def one(x):
+            if x:
+                raise SystemExit
+
+        def foo():
+            try:
+                one(0)
+                one(1)
+                return 1
+            except SystemExit:
+                return 0
+        t, g = self.transform_func(foo, [])
+        f = self.compile(foo, [])
+        assert f() == 0
+
     def test_passthrough(self):
         def one(x):
             if x:
